<script>
    import { Link } from "svelte-routing";
    import NavLink from './Navlink.svelte';
    import MediaQuery from './MediaQuery.svelte';

    let active = false;
    let mobileClass;
    let displaySub = false;

    $:if (active) {
        mobileClass = 'icon-cross mobile-menu'
    } else {
        mobileClass = 'icon-menu mobile-menu'
    }
    
    
    
</script>


<MediaQuery query="(min-width: 801px)" let:matches>
	{#if matches}
		<header class="desktop">
            <div class="wrap">
                <Link to="/">
                    <img class="logo" src="/imgs/logo-black.webp" alt="Into Profits" width="200" height="23">
                </Link>
    
                <nav>
                    <span><NavLink to="results">Student Results</NavLink></span>
                    <span class:active={displaySub} on:mouseenter="{() => displaySub = true}" on:mouseleave="{() => displaySub = false}">
                        <NavLink to="programs">Programs</NavLink>
                        <div>
                            <span><NavLink to="apex-seller">Apex Seller</NavLink></span>
                        </div>
                    </span>
                    <span><NavLink to="channel">Channel</NavLink></span>
                    <span><a href="https://intoprofits.com/case-study" target="_blank">Free Case Study</a></span>
                </nav>
            </div>
        </header>
	{/if}
</MediaQuery>


<MediaQuery query="(max-width: 800px)" let:matches>
	{#if matches}
        <header class="mobile">
            <Link to="/">
                <img class="logo" src="/imgs/logo-black.webp" alt="Into Profits" width="200" height="23">
            </Link>
            
            <button class={mobileClass} on:click="{() => active = !active}"></button>
            <nav class:active={active}>
                <NavLink to="results">Student Results</NavLink>
                <NavLink to="programs">Programs</NavLink>
                <NavLink to="apex-seller">Apex Seller</NavLink>
                <NavLink to="channel">Channel</NavLink>
                <a href="https://intoprofits.com/case-study" target="_blank">Free Case Study</a>
            </nav>
        </header>
	{/if}
</MediaQuery>